Bug 8970

Summary: Memory leak
Product: [Development] Sisyphus Reporter: Slava Semushin <php-coder@altlinux.org>
Component: WMCPULoadAssignee: Nobody's working on this, feel free to take it <nobody@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: minor    
Priority: P2 CC: icesik@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   
URL: http://php-coder.livejournal.com/24134.html

Description From 2006-01-28 22:17:24
До:

==20854== 10 bytes in 1 blocks are definitely lost in loss record 9 of 70
==20854==    at 0x1B903AB8: malloc (vg_replace_malloc.c:130)
==20854==    by 0x1B94FC82: XStringListToTextProperty (in /usr/lib/libX11.so.6.2.0)
==20854==    by 0x804AADD: dockapp_open_window (dockapp.c:143)
==20854==    by 0x8049810: main (main.c:81)
==20854==
==20854== LEAK SUMMARY:
==20854==    definitely lost: 10 bytes in 1 blocks.
==20854==      possibly lost: 0 bytes in 0 blocks.

После:

==20884== LEAK SUMMARY:
==20884==    definitely lost: 0 bytes in 0 blocks.
==20884==      possibly lost: 0 bytes in 0 blocks.

Патч доступен здесь:
ftp://ftp.altlinux.ru/pub/people/php-coder/patches/wmcpuload-1.0.1-alt-src-memory_leak_fix.patch
------- Comment #1 From 2006-01-29 12:50:39 -------
10 утекших байт - major bug? Ну извините.
------- Comment #2 From 2006-01-29 14:43:13 -------
(In reply to comment #1)
> 10 утекших байт - major bug? Ну извините.
 
Нуачо?! =)))
------- Comment #3 From 2006-01-29 15:20:59 -------
(In reply to comment #2)
> Нуачо?! =)))
То, что major - это когда мегабайтами.
------- Comment #4 From 2006-03-05 14:52:16 -------
fixed in 1.1.0-alt0.1